#ifndef LVC_LOCK_H
#define LVC_LOCK_H

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

#include <X11/keysym.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>

struct st_lock {
  int screen;
  Window root, w;
  Pixmap pmap;
};

int lock_display(Display *dpy, struct st_lock ***locks);
int unlock_display(Display *dpy, struct st_lock **locks,int nscreens);


#endif
