#! /bin/sh


LVC2EM_LCKFILE=/var/run/lvc2em.pid
PATH=/usr/global/bin:$PATH

case "$1" in
    start)
	if [ -f $LVC2EM_LCKFILE ]; then
	    if ps -P $(cat $LVC2EM_LCKFILE) 1> /dev/null 2>&1 ; then
		echo "lvc2em is already running"
	    else
		echo "lock file exits but no lvc2em is running..."
	    fi
	else
	    DISPLAY=:0 lvc2emd
	    sleep 1
	    if [ -f $LVC2EM_LCKFILE ]; then
		if ps -P $(cat $LVC2EM_LCKFILE) 1> /dev/null 2>&1; then
		    echo "lvc2em started"
		fi
	    else
		echo "lvc2em not started"
		exit
	    fi	
	fi
        ;;
    stop)
	if [ -f $LVC2EM_LCKFILE ]; then
	    kill $(cat $LVC2EM_LCKFILE)
	else
	    echo "pas de fichier lock, est-ce que lvc2em tourne ?"
	fi
	killall lvc2em 2> /dev/null
	echo "lvc2em stopped."
        ;;
    *)
        echo "Usage: /etc/init.d/lvc2em {start|stop}"
        exit 1
	;;
esac

exit 0
