#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include "chaussette.h"


int main(int argc, char** argv)
{
  int srv_socket;
  char* machine;
  int portnum;
  char message[128];

  if ( !getenv("LVC2EMD_PORT"))
    {
      fprintf(stderr,"postionner LVC2EMD_PORT\n");
      exit(0);
    }

  if ( argc!=2 )
    {
      fprintf(stderr,"usage %s <machine>\n",argv[0]);
      exit(1);
    }
  machine=argv[1];

  portnum=atoi(getenv("LVC2EMD_PORT"));
  sprintf(message,"VOUS POUVEZ 23");

  if ( (srv_socket=connect_to_server_by_name(machine,
					     portnum))>0 )
    {
      send_message(srv_socket,message);
    }
  else
    {
      fprintf(stderr,"pas pu joindre la machine\n");
      exit(2);
    }
  close(srv_socket);
  return 0;
  
}
